> ## Documentation Index
> Fetch the complete documentation index at: https://docs.olostep.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Voltooien van Bestand Upload

> Voltooi het uploadproces van het bestand en valideer het geüploade JSON-bestand. Dit eindpunt controleert of het bestand bestaat, valideert het JSON-formaat en werkt de bestandsstatus bij naar voltooid.



## OpenAPI

````yaml nl/openapi/files.json POST /v1/files/{file_id}/complete
openapi: 3.0.3
info:
  title: Bestanden API
  version: 1.0.0
servers:
  - url: https://api.olostep.com
security: []
paths:
  /v1/files/{file_id}/complete:
    post:
      summary: Voltooi Bestand Upload
      description: >-
        Voltooi het uploadproces van het bestand en valideer het geüploade
        JSON-bestand. Deze endpoint controleert of het bestand bestaat,
        valideert het JSON-formaat, controleert de bestandsgrootte (max 200MB),
        en werkt de bestandsstatus bij naar completed.
      parameters:
        - name: file_id
          in: path
          required: true
          description: Unieke identificatie voor het bestand om te voltooien.
          schema:
            type: string
      responses:
        '200':
          description: Bestand upload succesvol voltooid.
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: Bestand ID
                  object:
                    type: string
                    description: Het soort object. "file" voor deze endpoint.
                  created:
                    type: integer
                    description: Gemaakt epoch tijdstempel
                  filename:
                    type: string
                    description: De bestandsnaam van het geüploade bestand
                  bytes:
                    type: integer
                    description: Bestandsgrootte in bytes
                  purpose:
                    type: string
                    description: Het doel van het bestand
                  status:
                    type: string
                    description: >-
                      Bestandsstatus. Zal 'completed' zijn na succesvolle
                      voltooiing.
        '400':
          description: >-
            Foute aanvraag. Bestand al voltooid, ongeldige status, bestand te
            groot (max 200MB), of ongeldig JSON-formaat.
        '401':
          description: Ongeldige API-sleutel
        '404':
          description: Bestand niet gevonden of bestand niet geüpload naar S3
        '500':
          description: Interne serverfout
      security:
        - Authorization: []
components:
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer
      description: >-
        Bearer authenticatie header in de vorm Bearer <token>, waar <token> jouw
        auth token is.

````